### Function

# GLib MarkupParseContext new

#### Declaration

    GMarkupParseContext*
    g_markup_parse_context_new (
      const GMarkupParser* parser,
      GMarkupParseFlags flags,
      gpointer user_data,
      GDestroyNotify user_data_dnotify
    )

#### Description

Creates a new parse context. A parse context is used to parse marked-up documents. You can feed any number of documents into a context, as long as no errors occur; once an error occurs, the parse context can’t continue to parse text (you have to free it and create a new parse context).

#### Parameters

`parser`

  Type: `GMarkupParser`

  A `GMarkupParser`.

  The data is owned by the caller of the function.

`flags`

  Type: `GMarkupParseFlags`

  One or more `GMarkupParseFlags`.

`user_data`

  Type: `gpointer`

  User data to pass to `GMarkupParser` functions.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`user_data_dnotify`

  Type: `GDestroyNotify`

  User data destroy notifier called when the parse context is freed.

#### Return value

Type: `GMarkupParseContext`

A new `GMarkupParseContext`.

The caller of the function takes ownership of the data, and is responsible for freeing it.